## psi 0.9.3

=== mac/Makefile ===
#
# Build file for packaging Psi/Mac.
#
# The DMG packager looks for a template.dmg.bz2 for using as its 
# DMG template. If it doesn't find one, it generates a clean one.
#
# If you create a DMG template, you should make one containing all
# the files listed in $(FILES) below, and arrange everything to suit
# your style. The contents of the files themselves does not matter, so
# they can be empty. 
#
# Remko Troncon <remko.troncon@cs.kuleuven.ac.be>
#

# Change these according to your own setup
QTDIR=/Developer/qt
QCADIR=/Developer/qca
PSI_DIR=..

NAME=Psi
VERSION=0.9.3
#VERSION=0.10_CVS_$(shell date +"%Y%m%d")

FILES=Psi.app README COPYING
DISK_DIR=disk
DISK_FILES=$(foreach f,$(FILES), $(addprefix $(DISK_DIR)/,$(f)))
MASTER_DMG=$(NAME)-$(VERSION).dmg

.PHONY: buildall
all: build-psi $(DISK_FILES)

.PHONY: buildall
dmg: build-psi $(MASTER_DMG)

# Cleanup
.PHONY: clean
clean: clean-dmg
	-rm -rf $(DISK_DIR)

# Help
.PHONY: help
help:
	@echo "Usage:"
	@echo "    make : Build a distributable binary in $(DISK_DIR)/"
	@echo "    make dmg : Build a DMG disk image"

# Building the main source tree
.PHONY:
build-psi:
	@echo
	@echo --------------------- Building Source Tree --------------------
	$(MAKE) -C $(PSI_DIR)
	@echo


################################################################################
# Generation of the final files
################################################################################

# The binary
$(DISK_DIR)/Psi.app: $(PSI_DIR)/src/psi.app
	@echo
	@echo --------------------- Packaging Binary --------------------
	rm -rf "$@"
	ditto -rsrc "$<" "$@"
	mkdir -p "$@/Contents/Resources/crypto"
	cp -f "$(QTDIR)/plugins/crypto/libqca-tls.dylib" "$@/Contents/Resources/crypto/"
	mkdir -p "$@/Contents/Frameworks"
	cp -f "$(QTDIR)/lib/libqt-mt.3.dylib" "$@/Contents/Frameworks/"
	cp -f "$(QCADIR)/lib/libqca.1.dylib" "$@/Contents/Frameworks/"
	strip "$@/Contents/MacOS/psi"
	install_name_tool -id @executable_path/../Frameworks/libqt-mt.3.dylib "$@/Contents/Frameworks/libqt-mt.3.dylib"
	install_name_tool -change libqt-mt.3.dylib "@executable_path/../Frameworks/libqt-mt.3.dylib" "$@/Contents/MacOS/psi"
	install_name_tool -change libqt-mt.3.dylib "@executable_path/../Frameworks/libqt-mt.3.dylib" "$@/Contents/Frameworks/libqca.1.dylib"
	install_name_tool -change libqt-mt.3.dylib "@executable_path/../Frameworks/libqt-mt.3.dylib" "$@/Contents/Resources/crypto/libqca-tls.dylib"
	install_name_tool -id @executable_path/../Frameworks/libqca.1.dylib "$@/Contents/Frameworks/libqca.1.dylib"
	install_name_tool -change libqca.1.dylib "@executable_path/../Frameworks/libqca.1.dylib" "$@/Contents/MacOS/psi"
	@echo 

# The rest
$(DISK_DIR)/%: $(PSI_DIR)/%
	ditto -rsrc "$<" $@


################################################################################
# Disk image creation
################################################################################

WC_DMG=wc.dmg
WC_DIR=wc
TEMPLATE_DMG=template.dmg

$(TEMPLATE_DMG): $(TEMPLATE_DMG).bz2
	bunzip2 -k $<

$(TEMPLATE_DMG).bz2: 
	@echo
	@echo --------------------- Generating empty template --------------------
	mkdir template
	hdiutil create -size 40m "$(TEMPLATE_DMG)" -srcfolder template -format UDRW -volname "$(NAME)" -quiet
	rmdir template
	bzip2 "$(TEMPLATE_DMG)"
	@echo

$(WC_DMG): $(TEMPLATE_DMG)
	cp $< $@

$(MASTER_DMG): $(WC_DMG) $(DISK_FILES)
	@echo
	@echo --------------------- Creating Disk Image --------------------
	mkdir -p $(WC_DIR)
	hdiutil attach "$(WC_DMG)" -noautoopen -quiet -mountpoint "$(WC_DIR)"
	for i in $(FILES); do  \
		rm -rf "$(WC_DIR)/$$i"; \
		ditto -rsrc "$(DISK_DIR)/$$i" "$(WC_DIR)/$$i"; \
	done
	#rm -f "$@"
	#hdiutil create -srcfolder "$(WC_DIR)" -format UDZO -imagekey zlib-level=9 "$@" -volname "$(NAME) $(VERSION)" -scrub -quiet
	WC_DEV=`hdiutil info | grep "$(WC_DIR)" | grep "Apple_HFS" | awk '{print $$1}'` && \
	hdiutil detach $$WC_DEV -quiet -force
	rm -f "$(MASTER_DMG)"
	hdiutil convert "$(WC_DMG)" -quiet -format UDZO -imagekey zlib-level=9 -o "$@"
	rm -rf $(WC_DIR)
	@echo

.PHONY: clean-dmg
clean-dmg:
	-rm -rf $(TEMPLATE_DMG) $(MASTER_DMG) $(WC_DMG)
