## psi 0.10

=== mac/Makefile ===
--- 
+++ 
@@ -9,28 +9,34 @@
 # your style. The contents of the files themselves does not matter, so
 # they can be empty. 
 #
-# Remko Troncon <remko.troncon@cs.kuleuven.ac.be>
+# Parameters:
+#	* BUILD: Set this to 'no' if you do not want to build the source tree or
+#		check dependencies of the 'disk' dir when building the DMG.
+#
+# Remko Troncon <remko@psi-im.org>
 #
 
 # Change these according to your own setup
 QTDIR=/Developer/qt
 QCADIR=/Developer/qca
+GROWLDIR=/Library/Frameworks
 PSI_DIR=..
 
 NAME=Psi
-VERSION=0.9.3
 #VERSION=0.10_CVS_$(shell date +"%Y%m%d")
-
-FILES=Psi.app README COPYING
+VERSION=0.10
+FILES=Psi.app 
 DISK_DIR=disk
+ifneq ($(BUILD),no)
 DISK_FILES=$(foreach f,$(FILES), $(addprefix $(DISK_DIR)/,$(f)))
+endif
 MASTER_DMG=$(NAME)-$(VERSION).dmg
 
 .PHONY: buildall
 all: build-psi $(DISK_FILES)
 
-.PHONY: buildall
-dmg: build-psi $(MASTER_DMG)
+.PHONY: dmg
+dmg: build-psi $(DISK_FILES) $(MASTER_DMG)
 
 # Cleanup
 .PHONY: clean
@@ -45,12 +51,16 @@
 	@echo "    make dmg : Build a DMG disk image"
 
 # Building the main source tree
-.PHONY:
+.PHONY: build-psi
+ifneq ($(BUILD),no)
 build-psi:
 	@echo
 	@echo --------------------- Building Source Tree --------------------
 	$(MAKE) -C $(PSI_DIR)
 	@echo
+else
+build-psi:
+endif
 
 
 ################################################################################
@@ -66,6 +76,7 @@
 	mkdir -p "$@/Contents/Resources/crypto"
 	cp -f "$(QTDIR)/plugins/crypto/libqca-tls.dylib" "$@/Contents/Resources/crypto/"
 	mkdir -p "$@/Contents/Frameworks"
+	-ditto -rsrc "$(GROWLDIR)/Growl.framework" "$@/Contents/Frameworks/Growl.framework"
 	cp -f "$(QTDIR)/lib/libqt-mt.3.dylib" "$@/Contents/Frameworks/"
 	cp -f "$(QCADIR)/lib/libqca.1.dylib" "$@/Contents/Frameworks/"
 	strip "$@/Contents/MacOS/psi"
@@ -110,9 +121,10 @@
 	@echo --------------------- Creating Disk Image --------------------
 	mkdir -p $(WC_DIR)
 	hdiutil attach "$(WC_DMG)" -noautoopen -quiet -mountpoint "$(WC_DIR)"
-	for i in $(FILES); do  \
-		rm -rf "$(WC_DIR)/$$i"; \
-		ditto -rsrc "$(DISK_DIR)/$$i" "$(WC_DIR)/$$i"; \
+	for i in $(DISK_DIR)/*; do  \
+		file=`basename $$i`; \
+		rm -rf "$(WC_DIR)/$$file"; \
+		ditto -rsrc "$(DISK_DIR)/$$file" "$(WC_DIR)/$$file"; \
 	done
 	#rm -f "$@"
 	#hdiutil create -srcfolder "$(WC_DIR)" -format UDZO -imagekey zlib-level=9 "$@" -volname "$(NAME) $(VERSION)" -scrub -quiet
@@ -121,9 +133,10 @@
 	rm -f "$(MASTER_DMG)"
 	hdiutil convert "$(WC_DMG)" -quiet -format UDZO -imagekey zlib-level=9 -o "$@"
 	rm -rf $(WC_DIR)
+	-hdiutil internet-enable -yes -quiet "$@"
 	@echo
 
 .PHONY: clean-dmg
 clean-dmg:
-	-rm -rf $(TEMPLATE_DMG) $(MASTER_DMG) $(WC_DMG)
+	-rm -rf $(TEMPLATE_DMG) $(MASTER_DMG) $(WC_DMG) $(NAME)-*.dmg
