## psi 0.11

=== mac/Makefile ===
--- 
+++ 
@@ -17,14 +17,14 @@
 #
 
 # Change these according to your own setup
-QTDIR=/Developer/qt
-QCADIR=/Developer/qca
+QTDIR=/usr/local/Trolltech/Qt-4.3.1
+QCADIR=/usr/local
 GROWLDIR=/Library/Frameworks
 PSI_DIR=..
 
 NAME=Psi
-#VERSION=0.10_CVS_$(shell date +"%Y%m%d")
-VERSION=0.10
+#VERSION=0.11-devel_$(shell date +"%Y%m%d")_debug
+VERSION=0.11
 FILES=Psi.app 
 DISK_DIR=disk
 ifneq ($(BUILD),no)
@@ -32,6 +32,12 @@
 endif
 MASTER_DMG=$(NAME)-$(VERSION).dmg
 
+
+# Other variables
+QT_FRAMEWORK_VERSION=4
+QT_FRAMEWORKS=QtCore QtXml QtNetwork QtGui QtSql Qt3Support
+
+# The rules
 .PHONY: buildall
 all: build-psi $(DISK_FILES)
 
@@ -73,20 +79,42 @@
 	@echo --------------------- Packaging Binary --------------------
 	rm -rf "$@"
 	ditto -rsrc "$<" "$@"
-	mkdir -p "$@/Contents/Resources/crypto"
-	cp -f "$(QTDIR)/plugins/crypto/libqca-tls.dylib" "$@/Contents/Resources/crypto/"
 	mkdir -p "$@/Contents/Frameworks"
 	-ditto -rsrc "$(GROWLDIR)/Growl.framework" "$@/Contents/Frameworks/Growl.framework"
-	cp -f "$(QTDIR)/lib/libqt-mt.3.dylib" "$@/Contents/Frameworks/"
-	cp -f "$(QCADIR)/lib/libqca.1.dylib" "$@/Contents/Frameworks/"
-	strip "$@/Contents/MacOS/psi"
-	install_name_tool -id @executable_path/../Frameworks/libqt-mt.3.dylib "$@/Contents/Frameworks/libqt-mt.3.dylib"
-	install_name_tool -change libqt-mt.3.dylib "@executable_path/../Frameworks/libqt-mt.3.dylib" "$@/Contents/MacOS/psi"
-	install_name_tool -change libqt-mt.3.dylib "@executable_path/../Frameworks/libqt-mt.3.dylib" "$@/Contents/Frameworks/libqca.1.dylib"
-	install_name_tool -change libqt-mt.3.dylib "@executable_path/../Frameworks/libqt-mt.3.dylib" "$@/Contents/Resources/crypto/libqca-tls.dylib"
-	install_name_tool -id @executable_path/../Frameworks/libqca.1.dylib "$@/Contents/Frameworks/libqca.1.dylib"
-	install_name_tool -change libqca.1.dylib "@executable_path/../Frameworks/libqca.1.dylib" "$@/Contents/MacOS/psi"
-	@echo 
+	#strip "$@/Contents/MacOS/psi"
+	#
+	#@echo
+	#@echo Installing QCA ...
+	#cp -f "$(QCADIR)/lib/libqca.2.dylib" "$@/Contents/Frameworks/"
+	#install_name_tool -id "@executable_path/../Frameworks/libqca.2.dylib" "$@/Contents/Frameworks/libqca.2.dylib"
+	#install_name_tool -change "libqca.2.dylib" "@executable_path/../Frameworks/libqca.2.dylib" "$@/Contents/MacOS/psi"
+	#install_name_tool -change "$(QCADIR)/lib/libqca.2.dylib" "@executable_path/../Frameworks/libqca.2.dylib" "$@/Contents/MacOS/psi"
+	#mkdir -p "$@/Contents/Resources/crypto"
+	#cp -f "$(QTDIR)/plugins/crypto/libqca-openssl.dylib" "$@/Contents/Resources/crypto/"
+	#install_name_tool -change "$(QCADIR)/lib/libqca.2.dylib" "@executable_path/../Frameworks/libqca.2.dylib" "$@/Contents/Resources/crypto/libqca-openssl.dylib"
+	#install_name_tool -change "libqca.2.dylib" "@executable_path/../Frameworks/libqca.2.dylib" "$@/Contents/Resources/crypto/libqca-openssl.dylib"
+	mkdir -p "$@/Contents/Resources/imageformats"
+	cp -f "$(QTDIR)/plugins/imageformats/libqjpeg.dylib" "$@/Contents/Resources/imageformats/"
+	#
+	@echo
+	@echo Installing Qt Frameworks ...
+	for f in $(QT_FRAMEWORKS); do \
+		ditto -rsrc "$(QTDIR)/lib/$$f.framework" "$@/Contents/Frameworks/$$f.framework"; \
+		rm -rf "$@/Contents/Frameworks/$$f.framework/Headers"; \
+		rm -rf "$@/Contents/Frameworks/$$f.framework/$$f""_debug"; \
+		rm -rf "$@/Contents/Frameworks/$$f.framework/$$f""_debug.prl"; \
+		rm -rf "$@/Contents/Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/Headers"; \
+		rm -rf "$@/Contents/Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f""_debug"; \
+		rm -rf "$@/Contents/Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f""_debug.prl"; \
+		install_name_tool -id "@executable_path/../Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "$@/Contents/Frameworks/$$f.framework/$$f"; \
+		for g in $(QT_FRAMEWORKS); do \
+			install_name_tool -change "$(QTDIR)/lib/$$g.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$g" "@executable_path/../Frameworks/$$g.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$g" "$@/Contents/Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f"; \
+		done; \
+		\# install_name_tool -change "$(QTDIR)/lib/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "@executable_path/../Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "$@/Contents/Frameworks/libqca.2.dylib"; \
+		\# install_name_tool -change "$(QTDIR)/lib/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "@executable_path/../Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "$@/Contents/Resources/crypto/libqca-openssl.dylib"; \
+		install_name_tool -change "$(QTDIR)/lib/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "@executable_path/../Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "$@/Contents/Resources/imageformats/libqjpeg.dylib"; \
+		install_name_tool -change "$(QTDIR)/lib/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "@executable_path/../Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "$@/Contents/MacOS/psi"; \
+	done
 
 # The rest
 $(DISK_DIR)/%: $(PSI_DIR)/%
@@ -108,7 +136,7 @@
 	@echo
 	@echo --------------------- Generating empty template --------------------
 	mkdir template
-	hdiutil create -size 40m "$(TEMPLATE_DMG)" -srcfolder template -format UDRW -volname "$(NAME)" -quiet
+	hdiutil create -size 80m "$(TEMPLATE_DMG)" -srcfolder template -format UDRW -volname "$(NAME)" -quiet
 	rmdir template
 	bzip2 "$(TEMPLATE_DMG)"
 	@echo
