## psi 0.12.1

=== mac/Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 NAME=Psi
 VOLUME_NAME=$(NAME)
 #VERSION=0.12-devel_$(shell date +"%Y%m%d")
-VERSION=0.12
+VERSION=0.12.1
 
 APPFILE_NAME=Psi.app
 FILES=$(APPFILE_NAME)
