## psi 0.13

=== mac/Makefile ===
--- 
+++ 
@@ -20,13 +20,14 @@
 # Change these according to your own setup
 QCADIR=/usr/local
 GROWLDIR=/Library/Frameworks
+SPARKLEDIR=/Library/Frameworks
 PSI_DIR=..
 
 EXECUTABLE_NAME=psi
 NAME=Psi
 VOLUME_NAME=$(NAME)
-#VERSION=0.12-devel_$(shell date +"%Y%m%d")
-VERSION=0.12.1
+#VERSION=0.13-devel_$(shell date +"%Y%m%d")
+VERSION=0.13
 
 APPFILE_NAME=Psi.app
 FILES=$(APPFILE_NAME)
@@ -39,7 +40,7 @@
 
 # Other variables
 QT_FRAMEWORK_VERSION=4
-QT_FRAMEWORKS=QtCore QtXml QtNetwork QtGui QtSql Qt3Support
+QT_FRAMEWORKS=QtCore QtXml QtNetwork QtGui QtSql Qt3Support QtSvg
 QT_PLUGINS=imageformats/libqjpeg.dylib imageformats/libqgif.dylib
 
 # The rules
@@ -86,6 +87,7 @@
 	ditto -rsrc "$<" "$@"
 	mkdir -p "$@/Contents/Frameworks"
 	-ditto -rsrc "$(GROWLDIR)/Growl.framework" "$@/Contents/Frameworks/Growl.framework"
+	-ditto -rsrc "$(SPARKLEDIR)/Sparkle.framework" "$@/Contents/Frameworks/Sparkle.framework"
 	#strip "$@/Contents/MacOS/$(EXECUTABLE_NAME)"
 	#
 	#@echo
@@ -102,6 +104,10 @@
 		mkdir -p "$@/Contents/Plugins/`dirname $$f`"; \
 		cp -f "$(QTDIR)/plugins/$$f" "$@/Contents/Plugins/`dirname $$f`"; \
 	done; \
+	#
+	@echo
+	@echo Writing qt.conf ...
+	echo "[Paths]\nPlugins = Plugins" > "$@/Contents/Resources/qt.conf"
 	#
 	@echo
 	@echo Installing Qt Frameworks ...
