## psi 0.14

=== mac/Makefile ===
--- 
+++ 
@@ -26,8 +26,8 @@
 EXECUTABLE_NAME=psi
 NAME=Psi
 VOLUME_NAME=$(NAME)
-#VERSION=0.13-devel_$(shell date +"%Y%m%d")
-VERSION=0.13
+#VERSION=0.14-devel_$(shell date +"%Y%m%d")
+VERSION=0.14
 
 APPFILE_NAME=Psi.app
 FILES=$(APPFILE_NAME)
