=== debian/changelog ===
psi (0.14-3) unstable; urgency=low

  * Fixed clean target (Closes: Bug#666161)
  * Add missing include to fix build with gcc 4.7 (Closes: Bug#667332)
  * Build-depend on libenchant-dev (Closes: Bug#571657)
  * Updated manual page (new man page generated with help2man)
    (Closes: Bug#602335)
  * Switch to dh build tool
  * Fix clean target (Closes: Bug#666161)
  * Set Standards-Version to 3.9.3

 -- Jan Niehusmann <jan@debian.org>  Fri, 06 Apr 2012 18:21:48 +0200

psi (0.14-2) unstable; urgency=low

  * comment out only function which uses va_list to work around build
    problems on armel
  * Set Standards-Version to 3.8.4

 -- Jan Niehusmann <jan@debian.org>  Fri, 19 Feb 2010 09:37:12 +0100

psi (0.14-1) unstable; urgency=low

  * New Upstream Version
  * Disable (separate) debug info

 -- Jan Niehusmann <jan@debian.org>  Wed, 06 Jan 2010 17:18:28 +0100

psi (0.13-1) unstable; urgency=low

  * Updated to upstream version 0.13
  * Set Standards-Version to 3.8.3

 -- Jan Niehusmann <jan@debian.org>  Fri, 25 Sep 2009 17:49:51 +0200

psi (0.12.1-2) unstable; urgency=low

  * Build-depend on qt >= 4.5.1
    This should fix an incompatibility between binaries compiled with
    older qt versions and newer shared library versions. (Closes: Bug#526335)
  * Conflict with libqca2 << 2.0.2, as older qca versions cause
    problems with qt 4.5.
  * Update Standards-Version

 -- Jan Niehusmann <jan@debian.org>  Sat, 23 May 2009 15:05:57 +0200

psi (0.12.1-1) unstable; urgency=high

  * New Upstream Version
    This fixes remote DoS vulnerability CVE-2008-6393 found and reported
    by Jesus Olmos Gonzalez (jolmos (at) isecauditors (dot) com).
    The original advisory is available at:
    http://www.securityfocus.com/archive/1/499563
    (Closes: Bug#518468)
  * Depend on qt << 4.5.0 as psi needs some patches to work with qt 4.5
  * Psi currently doesn't handle missing ssl plugin gracefully. Therefore,
    depend on libqca2-plugin-ossl instead of only recommending it.
    (Closes: Bug#504644)

 -- Jan Niehusmann <jan@debian.org>  Mon, 09 Mar 2009 18:31:53 +0100

psi (0.12-2) unstable; urgency=low

  * Uploading to unstable (Closes: Bug#494352)

 -- Jan Niehusmann <jan@debian.org>  Thu, 28 Aug 2008 18:46:52 +0200

psi (0.12-1) experimental; urgency=low

  * Updated to upstream version 0.12
  * Removed some (windows) binaries without sources available from the
    orig tarball
  * Noticed removal of binaries in debian/copyright
  * Fixed some lintian warnings regarding file formatting
  * Bumped Standards-Version to 3.8.0
  * Changed dependency on libqt4-dev to >=4.2.3 (instead of >=4.2.3-1)
  * Revert CONFIG -= link_prl additions as they are not necessary
    since qt 4.4.0~rc1-4
  * Build-Conflict with libqt4-dev 4.4.0~rc1-3

 -- Jan Niehusmann <jan@debian.org>  Wed, 20 Aug 2008 09:25:13 +0200

psi (0.11-8) unstable; urgency=low

  * added CONFIG -= link_prl to .pro files and removed dependencies
    which are made unnecessary by this change
  * Fix segfault when closing last chat tab with qt4.4
    (This is from upstream svn, rev. 1101) (Closes: Bug#476122)

 -- Jan Niehusmann <jan@debian.org>  Mon, 14 Apr 2008 18:57:30 +0200

psi (0.11-7) unstable; urgency=low

  * With version 4.4.0~rc1-3, libqt4-dev removed some dependencies which
    psi needs for building. Added them directly to the psi package.

 -- Jan Niehusmann <jan@debian.org>  Sun, 13 Apr 2008 21:43:33 +0200

psi (0.11-6) unstable; urgency=low

  * Initialize w2tab before calling addTab in optionstab.cpp 
    (Closes: Bug#475748)
  * added -Wl,--as-needed to LDFLAGS, to minimize dependencies

 -- Jan Niehusmann <jan@debian.org>  Sun, 13 Apr 2008 17:24:11 +0200

psi (0.11-5) unstable; urgency=low

  * Suggest xdg-utils, since psi can use it to select the default
    browser.  (Closes: Bug#473837)
  * remove /usr/sbin von debian/dirs
  * Add README.chinese_fonts with some hints provided by Toni Mueller 
    (Closes: Bug#280124)
  * Update the manual page. It now mentions the online
    tutorial on the psi wiki, which should provide sufficient
    documentation for new users. (Closes: Bug#307766)

 -- Jan Niehusmann <jan@debian.org>  Sun, 06 Apr 2008 22:08:11 +0200

psi (0.11-4) unstable; urgency=low

  * Set debian/compat to 5
  * Really set build-dependency on debhelper to >= 5.0.51 (and not
    >>5.0.51)
  * Update package description. (Closes: Bug#471396)
  * Ignore trailing and leading whitespaces in host name
  * Apply upstream patch to properly show gpg passphrase dialog.
    (Closes: Bug#421194)
  * Update Standards-Version to 3.7.3

 -- Jan Niehusmann <jan@debian.org>  Mon, 24 Mar 2008 20:30:24 +0100

psi (0.11-3) unstable; urgency=low

  * Added libaspell-dev as build-dependency (Closes: Bug#448434)
  * Applied patch submitted by Sikon to use lsb_release to retreive
    operating system name (Closes: Bug#451131)
  * Added call to dh_icons to debian/rules
  * Set build-dependency on debhelper to >= 5.0.51 (for dh_icons)

 -- Jan Niehusmann <jan@debian.org>  Thu, 15 Nov 2007 13:17:28 +0100

psi (0.11-2) unstable; urgency=low

  * Call configure with option --disable-bundled-qca (Closes: Bug#448363)
  * Remove old NEWS.Debian

 -- Jan Niehusmann <jan@debian.org>  Wed, 07 Nov 2007 12:02:15 +0100

psi (0.11-1) unstable; urgency=low

  * New Upstream Version
  * Upload to unstable

 -- Jan Niehusmann <jan@debian.org>  Sat, 27 Oct 2007 15:44:16 +0200

psi (0.11~rc3-1) experimental; urgency=low

  * New upstream release
  * Updated dependencies (Closes: Bug#443120)

 -- Jan Niehusmann <jan@debian.org>  Sun, 07 Oct 2007 15:36:20 +0200

psi (0.11~rc2-2.1) experimental; urgency=low

  * always build with --enable-debug

 -- Jan Niehusmann <jan@jannic.reliablesolutions.de>  Tue, 14 Aug 2007 19:15:40 +0200

psi (0.11~rc2-2) experimental; urgency=low

  * Honour DEB_BUILD_OPTIONS=nostrip (Closes: Bug#437834)
  * Updated menu file to new menu policy (Section is now
    Applications/Network/Communication)

