=== debian/control ===
Source: psi
Section: net
Priority: optional
Maintainer: Jan Niehusmann <jan@debian.org>
Build-Depends: debhelper (>= 8.0.0), libqt4-dev (>= 4.5.1), libqca2-dev (>= 2.0.0), libxss-dev, libaspell-dev, zlib1g-dev, libsm-dev, libenchant-dev, hardening-wrapper
Standards-Version: 3.9.3

Package: psi
Architecture: any
Recommends: sox
Breaks: libqca2 (<< 2.0.2)
Depends: ${shlibs:Depends}, ${misc:Depends}, libqca2-plugin-ossl
Suggests: psi-translations, libqca2-plugin-gnupg, xdg-utils
Description: Jabber client using Qt
 Psi is a free instant messaging application designed for the Jabber
 (XMPP) IM network (including Google Talk). It has full Unicode support, 
 and supports most important XMPP features like file transfer, group chat,
 encryption etc.
 .
 Psi relies on the qca2 library for its encryption features. Therefore,
 it's necessary to install libqca2-plugin-ossl for SSL (client-to-server)
 encryption and libqca2-plugin-gnupg for PGP (end-to-end) encryption.
