=== debian/watch ===
version=3
http://sf.net/psi/psi-(.+)\.tar\.gz
