## psi 0.15

=== doc/Makefile ===
.PHONY: all
all: 

.PHONY: api_public
api_public:
	cd .. && doxygen doc/Doxyfile.public

.PHONY: api_private
api_private:
	cd .. && doxygen doc/Doxyfile.private
