=== debian/changelog ===
psi (0.15-2build2) xenial; urgency=medium

  * No-change rebuild for qca2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Jan 2016 15:31:37 +0000

psi (0.15-2build1) wily; urgency=medium

  * No-change rebuild against libqca2v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 21:13:27 +0000

psi (0.15-2) unstable; urgency=low

  * Fix watch file (point to github instead of sourceforge)
  * Apply hardening flags to iris sources

 -- Jan Niehusmann <jan@debian.org>  Sat, 12 Jul 2014 20:03:29 +0200

psi (0.15-1) unstable; urgency=low

  * New upstream version
  * set debhelper compat level to 9
  * set Standards-Version to 3.9.5 (no further changes)
  * add lintian override regarding license-problem-non-free-RFC
  * use qconf to regenerate configure script
  * implement hardening using buildflags instead of hardening-wrapper

 -- Jan Niehusmann <jan@debian.org>  Tue, 01 Jul 2014 21:49:34 +0200
