=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: psi
 Section: net
 Priority: optional
-Maintainer: Jan Niehusmann <jan@debian.org>
-Build-Depends: debhelper (>= 8.0.0), libqt4-dev (>= 4.5.1), libqca2-dev (>= 2.0.0), libxss-dev, libaspell-dev, zlib1g-dev, libsm-dev, libenchant-dev, hardening-wrapper
-Standards-Version: 3.9.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jan Niehusmann <jan@debian.org>
+Build-Depends: debhelper (>= 9.0.0), libqt4-dev (>= 4.5.1), libqca2-dev (>= 2.0.0), libxss-dev, libaspell-dev, zlib1g-dev, libsm-dev, libenchant-dev, qconf
+Standards-Version: 3.9.5
 
 Package: psi
 Architecture: any
