=== debian/rules ===
#!/usr/bin/make -f

Q_CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
Q_CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(Q_CPPFLAGS)
Q_CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(Q_CPPFLAGS)
Q_LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export Q_CPPFLAGS Q_CFLAGS Q_CXXFLAGS Q_LDFLAGS

%:
	dh $@ --parallel

override_dh_auto_configure:
	qt-qconf
	./configure --prefix=/usr --qtdir=/usr/share/qt4/ --no-separate-debug-info # --enable-debug

override_dh_icons:
	mkdir -p $(CURDIR)/debian/psi/usr/share/pixmaps
	cp debian/psi.xpm $(CURDIR)/debian/psi/usr/share/pixmaps/
	dh_icons

override_dh_clean:
	dh_clean
	-rm conf.log
	-rm conf.pri
	-rm iris/conf.pri
	-rm iris/lib/libiris.a
	-rm iris/lib/libiris.prl
	-rm iris/lib/libirisnet.a
	-rm iris/lib/libirisnet.prl
	-rm src/psi
	-rm src/config.h
