=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/psi-$1\.tar\.gz/ \
  https://github.com/psi-im/psi/tags .*/v?(\d\S*)\.tar\.gz
