=== debian/changelog ===
psi (1.3-6) unstable; urgency=medium

  * Update watch file to point to the project's github page
  * Use libhunspell instead of libenchant (Closes: Bug#956691)

 -- Jan Niehusmann <jan@debian.org>  Wed, 01 Jul 2020 23:01:13 +0200

psi (1.3-5) unstable; urgency=medium

  * Cherry-pick fix for compilation with qt 5.11
    (Closes: Bug#907205)

 -- Jan Niehusmann <jan@debian.org>  Sat, 25 Aug 2018 10:37:28 +0200

psi (1.3-4) unstable; urgency=medium

  * Don't depend on obsolete libqca2-plugin-gnupg.
  * Generate configure script with qconf, again, reverting
    changes made in version 0.15-3. Incompatibilities
    between qconf and psi's build setup seem to be fixed.
    (Closes: Bug#897112)

 -- Jan Niehusmann <jan@debian.org>  Sat, 28 Apr 2018 18:02:15 +0200

psi (1.3-3) unstable; urgency=low

  * Set Standards-Version to 4.1.1

 -- Jan Niehusmann <jan@debian.org>  Thu, 26 Oct 2017 20:44:19 +0200

psi (1.3-2) unstable; urgency=medium

  * Fix dependency on qca plugins (use qt5 version)
  * Fix selection of qt5 (Closes: Bug#879457)
    (hardcoding a path only available on x86_64 obviously was a bad idea)

 -- Jan Niehusmann <jan@debian.org>  Sat, 21 Oct 2017 22:11:44 +0200

psi (1.3-1) unstable; urgency=medium

  * New upstream version 1.3
  * Closes: Bug#875119

 -- Jan Niehusmann <jan@debian.org>  Sat, 21 Oct 2017 11:23:55 +0200

psi (0.15-4) unstable; urgency=medium

  * Fix build error on architectures where 'char' is unsigned.
  * Remove menu file. Fixes lintian warning
    'command-in-menu-file-and-desktop-file'.
  * Set Standards-Version to 3.9.8

 -- Jan Niehusmann <jan@debian.org>  Sun, 06 Nov 2016 11:34:27 +0100

psi (0.15-3) unstable; urgency=low

  * Build against libminizip-dev package (Closes: Bug#759334)
  * Use packaged ./configure script, as qconf-2.1-1 in sid
    is incompatible with psi's build setup. (Closes: Bug#841627)
  * Set INSTALL_ROOT when calling dh_auto_install.
  * Set Standards-Version to 3.9.7 (no further changes)

 -- Jan Niehusmann <jan@debian.org>  Fri, 21 Oct 2016 22:21:01 +0200
