=== debian/control ===
Source: psi
Section: net
Priority: optional
Maintainer: Jan Niehusmann <jan@debian.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev-tools, qtbase5-dev, libqca-qt5-2-dev, libxss-dev, libaspell-dev, zlib1g-dev, libsm-dev, libhunspell-dev, libminizip-dev, libidn11-dev, libqt5x11extras5-dev, qtmultimedia5-dev, qconf
Standards-Version: 4.1.1

Package: psi
Architecture: any
Recommends: sox
Depends: ${shlibs:Depends}, ${misc:Depends}, libqca-qt5-2-plugins
Suggests: psi-translations, xdg-utils
Description: Jabber client using Qt
 Psi is a free instant messaging application designed for the Jabber
 (XMPP) IM network (including Google Talk). It has full Unicode support,
 and supports many important XMPP features like file transfer, group chat,
 encryption etc.
