=== debian/watch ===
version=4
opts="compression=xz,repack,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%psi-$1.tar.gz%" \
    https://github.com/psi-im/psi/releases \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
