## psi 1.3.1+rb2

=== win32/Makefile ===
--- 
+++ 
@@ -19,7 +19,6 @@
 	copy $(QTDIR)\bin\QtGui4.dll $(TARGET_DIR)
 	copy $(QTDIR)\bin\QtNetwork4.dll $(TARGET_DIR)
 	copy $(QTDIR)\bin\QtXml4.dll $(TARGET_DIR)
-	copy $(QTDIR)\bin\Qt3Support4.dll $(TARGET_DIR)
 	copy $(QTDIR)\bin\QtSql4.dll $(TARGET_DIR)
 	copy $(MINGWDIR)\bin\mingwm10.dll $(TARGET_DIR)
 	copy ..\src\libpsi\tools\idle\win32\idleui.dll $(TARGET_DIR)
